Runtime Kit Readme

WIBU-KEY Runtime Kit

This file gives you a short overview about the WIBU-KEY Runtime Kit.
Installation of the WIBU-KEY software
Uninstallation of the WIBU-KEY software
Files on this disk
Destination folders of the driver files
How to get the latest software?


Installation of the WIBU-KEY Software

The WIBU-KEY Runtime Kit setup installs all files required to use WIBU-KEY on Windows 95/98/Me/NT/2000/XP/Server 2003.

Before starting the setup process it is recommended to close all applications using WIBU-KEY. Otherwise files to be replaced might be in use and a reboot becomes necessary.

To install start WkRuntime.exe. It will display the current operating system and the driver files to be installed. Pressing the "Next"-button starts the copy and setup process.

If errors should occur during setup, please reboot and retry the installation process.
Important for Installation on Windows 95:

To use WIBU-KEY on Windows 95, some system DLLs like oleacc.dll have to be installed/upgraded. The DLLs are available on the WIBU-KEY CD-ROM in \tools\microsoft\msaardk.exe. This is mainly related to the WIBU-KEY Development Kit Software. The WIBU-KEY Runtime Kit should work without the installation of the package. But it is recommended nonetheless.
Important for Installation on Windows NT 4.0:

On Windows NT 4.0 the shlwapi.dll library has to be installed. That's the case if Microsoft Internet Explorer 4.0 or later is installed.


Uninstalling the WIBU-KEY Software

The WIBU-KEY Runtime Kit can be uninstalled by Windows 95/98/ME/NT/2000/XP/Server 2003. To uninstall, choose Add/Remove Programs control panel and select "WIBU-KEY Remove" for removal. All driver files, the WIBU-KEY Control Panel and registry entries will be removed from the computer.


Files on this disk

driver files:
File name
Description
WKUSEUS.CHM | This text
WKUSEDE.CHM | German variant of READMEUS.HLP
SETUP32.EXE | Install program for Windows
SETUP.EXE | Install program for Windows (16 bit)
SETUP32.LDE | German language module of SETUP32.EXE
SETUP32.LFR | French language module of SETUP32.EXE
SETUP32.LHU | Hungarian language module of SETUP32.EXE
SETUP32.LES | Spanish language module of SETUP32.EXE
SETUP32.LJP | Japanese language module of SETUP32.EXE
SETUP32.LBR | Portuguese language module of SETUP32.EXE
SETUP32.LIT | Italian language module of SETUP32.EXE
SETUP32.LCN | Chinese language module of SETUP32.EXE
SETUP.INI | Configuration file for the setup
WIBUKEY.INI | WIBU-KEY Configuration file
WKEXT32.DLL | Win32 calling DLL for extended API commands
WKDOS.EXE | WkDos driver for Windows NT/2000/XP, Windows 95/98/ME, Windows 3.x and DOS
WKWIN.DLL | Windows calling / driver DLL for 16 bit Windows
WKWIN16.LDE | German language module of WKWIN16.DLL
WKWIN16.LFR | French language module of WKWIN16.DLL
WKWIN16.LHU | Hungarian language module of WKWIN16.DLL
WKWIN16.LES | Spanish language module of WKWIN16.DLL
WKWIN16.LJP | Japanese language module of WKWIN16.DLL
WKWIN16.LBR | Portuguese language module of WKWIN16.DLL
WKWIN16.LIT | Italian language module of WKWIN16.DLL
WKWIN16.LCN | Chinese language module of WKWIN16.DLL
WIBUKJNI.DLL | WIBU-KEY Java Native Interface Library
WKWIN32.DLL | Win32 calling DLL
WKWIN32.LDE | German language module of WKWIN32.DLL
WKWIN32.LFR | French language module of WKWIN32.DLL
WKWIN32.LHU | Hungarian language module of WKWIN32.DLL
WKWIN32.LES | Spanish language module of WKWIN32.DLL
WKWIN32.LJP | Japanese language module of WKWIN32.DLL
WKWIN32.LBR | Portuguese language module of WKWIN32.DLL
WKWIN32.LIT | Italian language module of WKWIN32.DLL
WKWIN32.LCN | Chinese language module of WKWIN32.DLL
WIBUKEY.SYS | Kernel driver for Windows NT/2000/XP
WIBUKEY2.SYS | Kernel driver for Windows 98/ME/2000/XP for USB
WIBUKEY.VXD | Kernel driver for Windows 95/98/ME
WIBUKEY.DLL | WIBU-KEY COM Control
WIBUSHELLEXT.DLL | WIBU-SYSTEMS shell extension
WIBUKE32.CPL | Control Panel Applet for Windows
WIBUKE32.LDE | German language module of WIBUKE32.CPL
WIBUKE32.LFR | French language module of WIBUKE32.CPL
WIBUKE32.LHU | Hungarian language module of WIBUKE32.CPL
WIBUKE32.LES | Spanish language module of WIBUKE32.CPL
WIBUKE32.LJP | Japanese language module of WIBUKE32.CPL
WIBUKE32.LBR | Portuguese language module of WIBUKE32.CPL
WIBUKE32.LIT | Italian language module of WIBUKE32.CPL
WIBUKE32.LCN | Chinese language module of WIBUKE32.CPL
WIBUKEY.INF | PnP Install command file for Windows 95/98/ME/2000/XP
Tools:

File name
Description
WKSVMON.EXE | The WkNet/WkLAN network server monitor for Win32.
WKSVNW.NLM | WkNet server as NLM for Novell Netware.
WKSVW32.EXE | Network server process as 32 bit application (WkLAN/WkNet).
WKU.EXE | DOS end user support utility.
WKU32.EXE | Win32 end user support utility.

Some tools have additional Language modules. These modules have the same name as the original application. The extension of this files are Lxx where xx contains the shortcut of the supported language. Some files have been compressed by the Microsoft COMPRESS utility. These files end with a trailing underscore ("_").


Destination folders of the driver files

File Name
Destination folder
WkExt32.dll | Windows directory (%WINDOWS%) or (%WINDOWS%\SYSTEM32 on Windows NT-based OS)
WkDOS.exe | Windows directory (%WINDOWS%) or (%WINDOWS%\SYSTEM32 on Windows NT-based OS)
WkWin.dll | Windows system directory (%WINDOWS%\SYSTEM32)
WkWin32.dll | Windows system directory (%WINDOWS%\SYSTEM or %WINDOWS%\SYSTEM32 on Windows NT-based OS)
WibuKJni.dll | Windows system directory (%WINDOWS%\SYSTEM or %WINDOWS%\SYSTEM32 on Windows NT-based OS)
WIBUKEY.dll | WIBU-KEY program directory (ProgramFiles\WIBU-KEY\BIN)
WibuShellExt.dll | WIBU-KEY program directory (ProgramFiles\WIBU-SYSTEMS\SYSTEM)
WibuKey.sys | Windows NT driver directory (%WINDOWS%\SYSTEM32\DRIVERS)
WibuKey2.sys | Windows driver directory (%WINDOWS%\SYSTEM32\DRIVERS)
WibuKey.vxd | Windows system directory (%WINDOWS%\SYSTEM)
WibuKe32.cpl | Windows system directory (%WINDOWS%\SYSTEM or %WINDOWS%\SYSTEM32 on Windows NT based OS)
An application will probably also run on Windows 95/98/Me, if driver files are stored in the application directory instead of the system directory). WIBU-SYSTEMS highly recommends installing the files by using the WIBU-KEY Runtime Kit, in order to guarantee the complete functionality of the applications. On Windows NT/2000/XP/Server 2003 it is necessary to install the files using the WIBU-KEY Runtime Kit setup, since the components have to be registered.


How to get the latest software?

The latest WIBU-KEY information is available on the WIBU-SYSTEMS web site.
http://www.wibu.com
The latest version of the WIBU-KEY Runtime Kit can be found at the following location:


WIBU-BOXes

What is a WIBU-BOX?
The WIBU-BOX is the encryption hardware of WIBU-YSTEMS. There are different variants for different interfaces. All WIBU-BOXes operate identically. The WIBU-BOXes comply with international and national standards. A detailed declaration of conformity is available for each WIBU-BOX variant.
WIBU-BOX/P(+)
WIBU-BOX/U(+)
WIBU-BOX/SP
WIBU-BOX/SX
WIBU-BOX/ST
WIBU-BOX/P36
WIBU-BOX/CI
WIBU-BOX/M
WIBU-BOX/A
WIBU-BOX/RP(+)
WIBU-BOX/RU(+)
European Community Declaration of Conformity
FCC Declaration of Conformity
VDE Approval
UL Approval (Underwriters Laboratories, Inc.)
VCCI Approval


WIBU-BOX/P

WIBU-BOX/P or WIBU-BOX/P+ (with 16kB memory) is for the parallel printer port of IBM-PCs or compatible systems. The WIBU-BOX/P supports the enhanced parallel port (EPP) with its bi-directional mode that is compatible to IEEE 1284. All devices that support this standard work in combination with the WIBU-BOX/P(+).
You simply connect the box to the 25-pin printer interface, the arrows on the case pointing in the direction of the PC. The thumb screws provide for an easy connection with no need of tools. If the WIBU-BOX/P is connected together with dongles of other manufacturers, the WIBU-BOX/P should possibly be connected first. Mostly, directly after the WIBU-BOX a printer can be connected. See Printers: Settings and problems..


WIBU-BOX/U

WIBU-BOX/U or WIBU-BOX/U+ (with 16kB memory)is for the USB-Interface of both PCs and Macintosh. The WIBU-BOX/U can be used with any USB-Interface or hub. It is expected that the USB-Interface will be the most commonly used port in the future.WIBU-BOX/U(+) is a terminal equipment i.e it is not cascadable.There are no conflicts with other devices since the appropriate operating system controls and synchronizes the accesses to all connected USB-devices. WIBU-BOX/U supports MacOS version 8 or higher, Windows 98/ME/2000/XP/Server 2003, and all supported Linux distibutions .


WIBU-BOX/SP

WIBU-BOX/SP is for the serial interface of IBM-PCs or compatible systems. The WIBU-BOX/SP supports multiple serial communication modi. The standard mode of a delivered WIBU-BOX/SP is the mouse mode. In addition there is the terminal mode. All devices that use one of these modi for serial communication can be used together with the WIBU-BOX/SP. You simply connect the box to the 25-pin serial interface, the arrows on the case pointing in the direction of the PC. The thumb screws provide for an easy connection with no need of tools.WIBU-BOX/SP can also be connected to a 9-pin AT port.In this case an adaptor cable has to be put between the 25-pin female connector of the WIBU-BOX/SP and the small 9-pin port connector. Additionally, a mouse or a device with 3-wire communication (RS232) can be connected.Such devices may not work properly connected after a WIBU-BOX/SP to the serial port. WIBU-SYSTEMS has tested the following mice, which work properly: Microsoft-Mice, Logitech-Mice and Genius-Mice. If WIBU-BOXes/SP are accessed often or for a long time, the movement of the mouse can be restricted.


WIBU-BOX/SX

WIBU-BOX/SX works like WIBU-BOX/SP, but only for Japanese NEC-PCs with RS232-interfaces.


WIBU-BOX/ST

WIBU-BOX/ST works like WIBU-BOX/SP, but is for the serial, asynchronous Interface (RS232) of any system (for example Unix, PC, Macintosh). WIBU-BOX/ST recognizes automatically the baud rate between 4.800 baud and 19.200 baud.


WIBU-BOX/P36

WIBU-BOX/P36 is for the 36-pin Centronic interface and can be used with Japanese NEC-PC98xx systems as well as for standard PCs. You connect the WIBU-BOX/P36 to the 36-pin Centronic interface, the arrows on the case pointing in the direction of the PC. With the clamps you connect the box to the printer cable of the PC.


WIBU-BOX/CI

WIBU-BOX/CI is a slot card for the ISA-Bus of the IBM-PC or compatible systems. For the installation a 8 bit slot will be needed, but a 16 bit slot or a (E)ISA slot can also be used. The interface address can be configured between 230H and 24FH and between 330H and 34FH by jumpers. The configured address has to be entered in the WIBU-KEY CPL on the page Setup. Mostly, the base address of the WIBU-BOX/CI is entered as LPT4 address.


WIBU-BOX/M

WIBU-BOX/M is a PCMCIA type II card. It is based on the same ASIC as all other WIBU-BOX versions and is thus fully compatible and functionally identical to the other WIBU-BOX versions. The WIBU-KEY drivers for PCMCIA support the Card Services and the direct access to Intel-compatible PC Card controllers that do not need Card Services.
You connect the WIBU-BOX/M, with the arrows on the case pointing in the direction of the computer, to the PC Card Slot of a PC or a laptop. It will be recognized automatically by Windows 98/ME and Windows 2000/XP/Server 2003 as Plug&Play hardware.On DOS and Windows 3.x, Card and Socket Services have to be installed. Using WIBU-BOX/M on Windows NT, the Award Cardware for NT4 has to be installed.


WIBU-BOX/A

WIBU-BOX/A is designed for the ADB bus of the Apple Macintosh. It is based on the same ASIC as the other WIBU-BOX versions and is thus fully compatible and functionally identical to the other WIBU-BOX versions.You connect the WIBU-BOX/A with the connector to the cable (thinner connector) of the ADB-Interface (e.g. to the keyboard or to the mouse). The mouse can beconnected to the wavelike connector.


WIBU-BOX/RP

WIBU-BOX/RP or WIBU-BOX/RP+ (with 16kB memory)is for the parallel printer port of IBM-PCs or compatible systems. The WIBU-BOX/RP supports the enhanced parallel port (EPP) with its bi-directional mode that is compatible to IEEE 1284. All devices that support this standard work in combination with the WIBU-BOX/RP(+).
The thumb screws provide for an easy connection with no need of tools. The WIBU-BOX is cascadable, i.e. various WIBU-BOXes can be connected one after another.If the WIBU-BOX/RP is connected together with dongles of other manufacturers, the WIBU-BOX/RP should possibly be connected first. Mostly, directly after the WIBU-BOX a printer can be connected. See Printers: Settings and problems..


WIBU-BOX/RU

WIBU-BOX/RU or WIBU-BOX/RU+ (with 16kB memory)is for the USB-Interface of both PCs and Macintosh. The WIBU-BOX/U can be used with any USB-Interface or hub. It is expected that the USB-Interface will be the most commonly used port in the future.WIBU-BOX/RU(+) is a terminal equipment i.e it is not cascadable.There are no conflicts with other devices since the appropriate operating system controls and synchronizes the accesses to all connected USB-devices. WIBU-BOX/U supports MacOS version 8 or higher, Windows 98/ME/2000/XP/Server 2003, and all supported Linux distributions.


CE Conformity

All WIBU-BOXes comply with the CE EMC directive and meet the requirements of protection standards (89/336/EEC) and have the CE sign. They correspond to the valid norms for electromagnetic compatibility, immunity and sensitivity. The products comply with the limits for a Class B digital device according to EN55022.

The resistance to interference is fulfilled according to EN50082-1 and EN55024. A detailed declaration of conformity is available for each WIBU-BOX variant.


FCC Rules

The WIBU-BOXes have been tested and found to comply with the limits for a Class B digital device, pursuant to Part 15 of the FCC Rules.
Operation is subject to the following conditions:
  1. these devices may not cause harmful interference, and
  2. these devices must accept any interference received, including interference that may cause undesired operation.
The device generates and uses radio frequency energy and, if not installed and used in accordance with the instruction manual, may cause harmful interference to radio communications. However, there is no guarantee that interference will not occur in a particular installation.

In case interferences do occur, consult your system instruction manual that should contain suggestions concerning the elimination of such interferences. Current remedial actions are: Increase the separation between the equipment and receiver or connect the equipment into an outlet on a circuit different from that to which the receiver is connected. A modification of the product without the explicit agreement of WIBU-SYSTEMS may cause a non-compliance of the FCC Rules. In that case the right of use of the user for that product expires.

The WIBU-BOXes have been tested, wherever possible, with a shielded interconnecting cable and approved. Thus, for the use of that product a shielded cable is necessary.

A detailed FFC DoC (Declaration of Conformity) is available on request.


VDE

All WIBU-BOXes comply with the requirements of product safety according to VCCI (Voluntary Control Council for Interface by Information Technology Equipment).


UL-Tests

WIBU-BOXes have successfully undergone the UL94 test concerning the combustibility of the plastics contained in parts and devices. The WIBU-BOXes comply with the requirements of UL1950 (Safety of Information Technology Equipment) and are UL listed.


VDE

All WIBU-BOXes comply with the requirements of product safety according to VCCI in Japan (Voluntary Control Council for Interface by Information Technology Equipment).


WIBU-KEY FAQ

WIBU-KEY FAQs and troubleshooting

The link below contains answers to frequently asked questions.
WIBU-KEY FAQs (Internet access is required)
Support

A competent support team assists WIBU-SYSTEMS customers and end users with using WIBU-KEY. Please note our support times. End users can reach WIBU-SYSTEMS support from 8 am to 12 and from 1 pm to 5 pm MET at +49-721-93172-15. Customers can reach us at +49-721-93172-14. Or send email to support@wibu.com.


WIBU-KEY Remote Programming Remote with the Windows-Explorer

Remote Programming with the Windows Explorer

A WIBU-KEY Remote Context File (RTC) can easily be created from Windows Explorer by using the right mouse button:
  • Open the target folder in Windows Explorer and right-click to display the context menu.
  • Select "New" and choose "WIBU Control File".
  • Choose "WIBU-BOX Remote Programming Context file" and confirm with Create.
This file has to be sent to the software developer via email or disc.
The software vendor can now generate an update file. Doubleclicking the Remote Update File updates the WIBU-BOX.


WIBU-KEY Remote Programming with WIBU-KEY Control panel

Remote Programming with the WIBU-KEY Control Panel

Remote Programming can be performed using the WIBU-KEY Control Panel:
  • Generating a Remote Context File.
  • Updating the WIBU-BOXes with Remote Update File.


WIBU-KEY The WIBU-KEY Control Panel

The WIBU-KEY Control Panel

Contents:
The WIBU-KEY Control Panel
Contents Page
Test Page
Server Page

Server Access Page

Server WkNet Page

Network Page
WIBU-BOX Context Page
WIBU-BOX Update Page
Setup Page
Install Page
Diagnosis Page
About Page


The WIBU-KEY Control Panel Overview

The WIBU-KEY Control Panel

The main WIBU-KEY management instrument is the WIBU-KEY Control Panel. It is helpful for software developers as well as for the user of an application protected with WIBU-KEY. WIBUKE32.CPL for Windows 95/98/ME/ NT/2000/XP/Server 2003.

Depending on operating system user rights, it displays several pages with the following functions:
After starting the WIBU-KEY Control Panel, only four basic pages are displayed.

Contents Displays WIBU-BOXes connected locally or to a WkLAN server.

Network Client network settings.

Install Install, uninstall or update WIBU-KEY drivers.

About Software information.

To display all pages the Advanced Mode can be used. It can be activated in the system menu or by
right-clicking onto the title bar.

Contents Displays WIBU-BOXes connected locally or to a WkLAN server.

Test Test WIBU-BOXes.
Server Configure WIBU-KEY server process options.

Server Access Configure client access permissions.

Server WkNet Configure WkNet server options.

Network Client network settings.
WIBU-BOX Context Save WIBU-BOX content to a file (Remote Programming Context File).
WIBU-BOX Update Update WIBU-BOX from Remote Programming Update File.
Setup Interface and driver configuration.
Install Install, uninstall or update WIBU-KEY drivers
Diagnosis Display driver diagnosis messages.
About Software information.


WIBU-KEY Control Panel -Contents Page-

Contents Page

For most users the Contents page is the first and the most important of the WIBU-KEY Control Panel. This page lists the WIBU-BOXes found either locally or in the network. To find a WIBU-BOX via the network on a WIBU-KEY Server, double-click the "Network" icon.

A WIBU-BOX can be selected via the port list. The Edit Box button allows the modification of "User Data entries" and its configuration.
Newly connected WIBU-BOXes can be displayed with the Scan ports button.
It is not possible to modify the protected entries in the WIBU-BOX using the WIBU-KEY Control Panel.


WIBU-KEY Control Panel -Test Page-

Test Page

This page can be used to check connected WIBU-BOXes. All found WIBU-BOXes are listed in the on the right side. The arrow keys add or remove WIBU-BOXes to or from the list.

The Start button starts the test procedure, the Stop button stops it. The Reset button resets the error counter to zero.

If errors occur during the test they are listed in the last column of the result table. The test itself runs continuously, but stops automatically when the selection of the ports to be tested is changed. The Scan Ports button scans for newly connected WIBU-BOXes and also resets the test and error counters.

If WIBU-BOXes are removed or added it is necessary to reread the WIBU-BOX list using the Scan Ports button.
To obtain enhanced information about possible problems the diagnosis option on the Diagnosis page should be activated.


WIBU-KEY Control Panel -SERVER-

Server Page

The Server page allows the specification of Cluster Names, HLM Files and WkLAN configuration

Note:
After editing a value on the this page you the WIBU-KEY server process has to be restarted for the new settings to take effect.

Cluster Name
HLM Files
Configuration of WkLAN


WIBU-KEY Control Panel -WkLAN Configuration-

WkLAN Configuration
The WKLAN checkbox activates the WkLAN server process. If the checkbox is deactivated, the server cannot be accessed via TCP/IP.
  • Access to FSB. If this option is active, access to Firm Codes in the range of 90-99 is possible from the network. This range is reserved for Firm Security Boxes (FSB), used for programming WIBU-BOXes. This option has to be activated if a Firm Security Box is connected to a WkLAN server and remote users should have access to this FSB via the network in order to program WIBU-BOXes.
  • No WIBU-BOX programming can be activated to prevent the reprogramming of connected WIBU-BOXes from other stations.
  • The Timeout checkbox specifies the timeout value in minutes. It frees an allocated slot in the WkLAN client list automatically if the allocating process has not accessed its slot in the specified time. If this entry is not set, a default timeout value of 1440 (24 hrs) is used.
These options are valid for the WkLAN server only.


WIBU-KEY Control Panel -SERVER-Access

Server Access

The Server Access page defines the server access rights for clients.Clients can be specified by IP address or hostname.
  • Read allows the reading of server content from client systems. The WIBU-KEY server can be queried by the WIBU-KEY control panel or the Network Monitor WkSvMon.
  • Access allows the client to use a server license on this server.
  • Cancel allows the client to cancel licenses on this server using the Network Monitor WkSvMon.

The Default entry provides full access for all clients.


WIBU-KEY Control Panel -SERVER WKNET-

Server WkNet Page

The Server WkNet page is used to define the WkNet server parameters.
WkNet Configuration


WIBU-KEY Control Panel -WkNet Configuration-

WkNet Configuration
The following parameters for the WkNet server can be set at the WkNet section:
  • The Firm-/User-Code field contains encryption parameters for this WkNet process. The corresponding entries must be available in a WIBU-BOX connected to this station.
  • The Server File handles the communication between WkNet server and client. This file doesn't necessarily need to be stored locally on the WkNet server. It can be stored on any station in the network. The only necessity is that WkNet server and all clients can perform read and write operations on this file. The Search button displays a Windows dialog to select the file.
  • The Refresh Time specifies the time in seconds for the actualization of the WkNet server file content. The value can be 10 seconds up to approximately 1 hour. Default value is 10 seconds.
If the Refresh Time value was changed at the WkNet server, it is necessary to adapt the corresponding applications to the changed value as well.
  • The Timeout value specifies the time in minutes after which the server process cancels clients that have not accessed the server file during this time. The default value is 30 minutes. The value range depends on the selected Refresh Time. The Timeout value has to be a minimum of three times and a maximum of 249 times of the Refresh Time value.If this value isn't set no entries in the server file will be canceled.
  • The Selection Code is an additional parameter that is needed for encryption. This value is not stored in the WIBU-BOX. Because this value is also used in the application, it is provided by the software developer. The standard value is 1234.
A WkNet server can control several server processes simultaneously. The values in the edit boxes are added to the list with the Add button. The entries can be removed with the Delete button. The Modify button changes the currently selected entries.


WIBU-KEY Control Panel -Network Page-

Network Page

The Network page is used to configure the client's communication with WkNet or WkLAN servers. The upper section of this page shows the WkNet settings. The bottom right side contains the WkLAN server searchlist, the bottom left side is used to enable or disable specific WIBU-KEY subsystems.

WkNet Settings
WkLAN Settings
Subsystem Settings


WIBU-KEY Control Panel -WkNet Settings-

WkNet Settings
To access a WIBU-BOX is connected to a WkNet server, an application needs to know the WkNet file used for WkNet communication. A WkNet application contains an application name. The WkNet settings page can be used to map this application name to a WkNet server file.

The software's application name and WkNet file are provided by the software vendor.
DrvTest H:\WIBUKEY\WKNET\WKNET.DAT
The application with name DrvTest uses WkNet server file H:\WIBUKEY\WKNET\WKNET.DAT.


WIBU-KEY Control Panel -WkLAN Settings-

WkLAN Settings

The dropdown on top of the WkLAN section is used to specify the options' validity scope. They can be valid for the user that's currently logged on (User Specific) or for all users (Machine Specific). To edit Machine Specific settings on Windows NT based operating systems local administrator permissions are required.

In most cases the WkLAN server to use can be found automatically by issuing a search broadcast in the local IP subnet. If the WkLAN server resides in a different subnet (behind a router), it has to be specified in the WkLAN server searchlist.

The values in the text boxes will be transferred to the list using the Add button. The Delete button removes entries from the list and the Modify button mdificaties entries. WkLAN servers can be searched using the Search button. All available WkLAN server will be displayed in a list. The sequence of server addresses can be changed with the Up and Down buttons. The WIBU-KEY driver reads the list from top to bottom and uses the first valid WkLAN server.
10.10.10.13
10.10.10.147
10.10.10.123
Using these example settings, the first WkLAN server searched is 10.10.10.13, second 10.10.10.147 and last 10.10.10.123.

Beyond the settings for searching WkLAN servers, the Network page can be used for the setting of a port address used for WkLAN communication. WkLAN uses the default port number 22347 for communication. If this number is already used by another process it can be changed to a different value. The change has to be implemented on the WkLAN server system, too. Otherwise communication between client and server will fail.


WIBU-KEY Control Panel -Settings for Subsystems-

Settings for Subsystems
WIBU-KEY provides three subsystems:
  • Kernel: Access to local WIBU-BOXes.
  • WkLAN:, Protocol (TCP/IP ) based access to network WIBU-BOXes.
  • WkNet: File based access to network WIBU-BOXes.
The Network page providess the possibility to select the subsystems to be used and to set the subsystem search order. A checked subsystem marks the subsystem as "in use". The search order can be changed using the Up and Down buttons.


WIBU-KEY Control Panel -Context-

WIBU-BOX Context Page

The WIBU-BOX Context page is used to save contexts of WIBU-BOXes to a Remote Programming context file (*.RTC).

All found WIBU-BOXes are displayed in the right window half. Marked WIBU-BOXes can be removed from the selected WIBU-BOXes list using the remove arrow button.
Marked WIBU-BOXes in the WIBU-BOX tree can be transferred to the window using the add arrow button.
The Apply button is activated if the list of selected WIBU-BOXes contains one or more WIBU-BOXes and a valid file name is entered. Upon pressing the Apply button, the contents of the selected WIBU-BOXes will be written to the selected file in encrypted form. After this process has finished successfully, an information message containing the number of written bytes will be displayed.
If the option only empty entries is active, the existing data entries will not be stored to the context file. Instead a list of not yet reserved entries will be stored. To append the data to an existing file instead of overwriting it, the Add to existing file option should be marked.
A WIBU-KEY Remote Context file (RTC) can also be created using the context menu in the Windows Explorer like shown on the Remote Programming with the Windows Explorer page.

The Control Panel Applet can't recognize added or removed WIBU-BOXes automatically. Therefore it is necessary to update the WIBU-BOX list using the Scan button.


WIBU-KEY Control Panel -Update Page-

WIBU-BOX Update Page

The WIBU-BOX Update page provides the ability reprogram WIBU-BOXes using a given Remote Programming Update File.

All found WIBU-BOXes are listed on the right half. The arrow buttons add or remove WIBU-BOXes to or from the list. The Apply button starts the update process after one or more WIBU-BOXes are selected and filename is provided.
A WIBU-KEY Remote Programming Update (RTU) file, can also be executed by doubleclicking on the RTU file in Windows Explorer. This method is described in Remote Programming with the Windows Explorer.

Only the WIBU-BOXes the Remote Programming Update File contains update data for can be reprogrammed. The Remote Programming Update File can also be used one time and can safely be deleted after the update has succeeded (which is done automatically if Delete after use is marked).


WIBU-KEY Control Panel -Setup Page-

Setup Page

This page contains the WIBU-BOX search options and interface configuration. If the WIBU-KEY Runtime is setup properly but no WIBU-BOXes can be found, this drivers have been installed properly and no WIBU-BOXes are found these settings should be checked first.

These are the available WIBU-BOX types:
WIBU-BOX/P(+) and /RP(+) for parallel ports (LPT),
WIBU-BOX/SP and /ST for serial ports (COM),
WIBU-BOX/U(+) and /RU(+) for USB,
WIBU-BOX/M for PCMCIA and
WIBU-BOX/CI for ISA.
General settings
Settings for WIBU-BOX/P(+) and /RP(+)
Settings for WIBU-BOX/SP and /ST
Settings for WIBU-BOX/U(+) and /RU(+)
Settings for WIBU-BOX/M
Settings for WIBU-BOX/CI


WIBU-KEY Control Panel -General Settings-

General Settings
The most important setting (available for every WIBU-BOX variant) is the Enabled option. It enables or disables the access on the corresponding interface.

The Time delay when port is busy option can be set for all interfaces, too. It can be used to provide more time for the hardware access by specifying values between 100 and 30,000 if communication problems should occur.

If a Delay Factor is set, it enables a delay in the hardware communication. This value is rarely used and should only be set by advanced users or WIBU-SYSTEMS Support.


WIBU-KEY Control Panel -Special Settings for the WIBU-BOX/P and /RP-

Special Settings for the WIBU-BOX/P and /RP
The port address (I/O port address), the b us type (Windows NT/2000/XP/Server 2003) and the index for the parallel interfaces can be set in the "Location" area. The System Default option is default. The WIBU-KEY driver obtains the values to usefrom the operating system. In some cases it is possible that the operating system doesn't recognize the interfaces correctly or returns a wrong or no address. In this case it is necessary to enter the interface address manually. Typical interface addresses are 0x378 for LPT1, 0x278 for LPT2 and 0x3BC for LPT3. The addresses for LPT1 and LPT2 are sometimes interchanged. Many modern BIOS versions display the port addresses starting the computer. Often the port addresses can be reconfigured in the BIOS setup. The interface addresses (II/O address) of the LPT ports can also be checked by the operating system's device manager.
The WIBU-KEY driver currently supports normal mode and the extended mode EPP (enhanced printer port) at the moment. The latest mode ECP (enhanced capability port) is not supported yet.
The driver configuration area also has the following options besides Disabled:
  • Shared with concurrent printer access handles the competitive access of several applications to a parallel interface. Normally every application should ask the operating system for permission before any access to the interface. The access will be refused if another application uses this interface. In that case the WIBU-KEY driver waits for the time specified at Time Delay and starts another try later. If it is still not possible to access the port then, an error code will be returned to the application. If access is possible the interface will be occupied during the communication with the WIBU-BOX and released after that. Unfortunately there are some applications, which do not follow these regulations: these programs reserve the interface, but they don't release it. To work together even with such programs, the option shared with concurrent printer access is available. The driver uses direct access to the interface without querying the interface status then and access conflicts or transfer errors are possible. Therefore this option is switched off as default.
  • only UD-Mode forces the driver to search in unidirectional mode only. Only WIBU-BOX/P with unidirectional configuration attribute can be found. WIBU-BOXes in bi-directional mode can't be found. By default this option is switched off as well as the option bi-directional mode (BD). So the drivers search for WIBU-BOXes using both modes.
  • only BD-Mode forces the driver to search in bidirectional mode only. That means that only WIBU-BOX/P with bidirectional configuration attribute can be found. WIBU-BOXes in unidirectional mode can't be found. Please notice the explanations concerning unidirectional mode.


WIBU-KEY Control Panel -Special Settings for the WIBU-BOX/SP and /ST-

Special Settings for the WIBU-BOX/SP and /ST
The port address (I/O port address), the b ustype (Windows NT/2000/XP/Server 2003) and the i ndex for serial interfaces can be set in the Location area. The System Default option is default. The WIBU-KEY driver queries the operating system for the values to use. In some cases it is possible that the operating system doesn't recognize the interfaces correctly or returns a wrong or no address. In this case it is necessary to specify the interface address manually. Typical interface addresses are 0x3F8 for COM1, 0x2F8 for COM2, 0x3E8 for COM3 and 0x2E8 for COM4. Many BIOS versions display the port addresses when starting the computer. Often the port addresses can also be reconfigured in the BIOS setup. The interface address (I/O address) of the COM ports can be checked using the operating system's device manager.

The Driver Configuration area also provides the following options beyond Disabled:
  • RTS always set to high tells the WIBU-KEY driver to set the serial interface's RTS line to high state. Normally this option is not activated. It should be activated if a WIBU-BOX/SP or /ST is not found only. A too low power level can be a reason for that. The WIBU-BOX/SP has an additional line for voltage via an active RTS line. In most cases the WIBU-BOX is found then.
  • DTR always set to high tells the WIBU-KEY driver to set the serial interface's DTR line to high state. This option has the same function as RTS always set to high. The difference is that another line is used. Normally this option is not activated.
  • Shared with concurrent modem/mouse access. Shared with concurrent modem/mouse access regulates the competing access of various applications to the serial interface. Normally, each application should ask the operating system for permission before accessing an interface. If another application already accesses the interface, access is denied. The WIBU-KEY driver then waits and retries to access the interface later. If access is still denied, an appropriate error code is returned to the application. If interface access is permitted, the WIBU-KEY driver allocates the interface during the communication with the WIBU-BOX; after that the interface is released. Unfortunately there are applications that do not stick to this rule: Though these applications allocate the interface they do not release it again. In order to be able to communicate with the WIBU-BOX in spite of such applications, the Shared with concurrent modem/mouse access option was introduced. If the option is activated the driver accesses the interface directly. Access conflicts and transmission errors may occur. Thus, this option is deactivated by default.
  • Only /SP means that only the WIBU-BOX/SP is searched. If this option is activated, no WIBU-BOX/ST is found. This option is deactivated by default.
  • Only /ST means that only the WIBU-BOX/ST is searched. If this option is activated, no WIBU-BOX/SP is found. This option is deactivated by default.


WIBU-KEY Control Panel -Special settings for the WIBU-BOX/U and /RU-

Special settings for the WIBU-BOX/U and /RU
The access to a WIBU-BOX/U can only be switched on or off on Windows 95/98/ME/2000/XP/Server 2003.
The use of a WIBU-BOX/U is not possible on Windows 95 and Windows NT.


WIBU-KEY Control Panel -Special Settings for the WIBU-BOX/M-

Special Settings for the WIBU-BOX/M
The access to a WIBU-BOX/M can only be switched on or off on Windows 95/98/ME/NT/2000/XP/Server 2003.


WIBU-KEY Control Panel -Special Settings for the WIBU-BOX/CI-

Special Settings for the WIBU-BOX/CI
The access to the WIBU-BOX/CI is similar to the access to the WIBU-BOX/P. Because the WIBU-BOX/CI is not recognized as parallel interface by the BIOS, the port address has to be entered manually for one of the parallel ports, for example for LPT4. The port addresses can be set via jumpers on the card. The default address is 0x330H. 16 other values in the range from 0x230 to 0x33C are possible.


WIBU-KEY Control Panel -Installation-

Install Page

This page installs, uninstalls or checks the installed WIBU-KEY driver components.

A description of which drivers are necessary for which operating system is available in this list.

The list of the installed components shows all driver components for the used operating system. If a component is installed correctly, it is marked and the version is displayed. The box below contains a short description of the driver component along with the file size. The disc space requirements of all drivers and the available disc space are displayed, too. If a component is not checked, it is either not installed or not installed at the right location.
Activating / Deactivating the WIBU-KEY Kernel Driver
Plug&Play Button
Install / Update of WIBU-KEY Drivers
Removal of WIBU-KEY Drivers


WIBU-KEY Control Panel - Driver Install/Update -

Driver Install / Update
For the installation or update of the current drivers it is necessary to activate the corresponding checkboxes and to enter the path to the source files. The source files may be packed with the Microsoft Compress utility. The installation of the corresponding drivers is activated by clicking the Apply button. If problems should occur, they will be displayed in a dialog message.

Note:
Please perform this form of WIBU-KEY driver update only if the software vendor told you to do so. In any other case use the driver installation. This helps to avoid any kind of version conflicts.


WIBU-KEY Control Panel -Removal of WIBU-KEY Drivers-

Removal of WIBU-KEY Drivers
The installed WIBU-KEY drivers can be removed by clearing the concerning checkboxes and pressing the Apply button. The driver files can only be removed if no application currently uses them.

Note:
Please perform this form of WIBU-KEY driver deinstallation only if your software vendor told you to do so. In any other case use the regular driver deinstallation.


WIBU-KEY Control Panell -Diagnosis-

Diagnosis Page

The WIBU-KEY driver is able to return problem and error information. This diagnosis mode usually is not activated and no messages will appear. If problems should occur the mode can be activated via the diagnosis page.

To activate the diagnosis mode the Active option has to be marked. Now the Test page can be used to perform some tests. All following operations will be controlled and error messages will be recorded. To get the latest messages use the Update button. All diagnosis events can be saved to file via the Save as button. The resulting file (plus a MSD diagnosis file) should be sent to the software developer or to WIBU-SYSTEMS, .
The Report button creates a report file containing basic information about the WIBU-KEY settings and your system environment.


WIBU-KEY Control Panel -About-

About Page

This page displays the version of the WIBU-KEY Control Panel.
Additional the version of the used (kernel) drivers and the possibly installed WIBU-KEY COM-Control is displayed.


The WIBU-KEY Network Server -Contents-

The WIBU-KEY Network Server

Contents:
Overview
WkSvW32 for Win32
WkSvNW for Novell Netware
Configuration Options
How do I ...
Troubleshooting


WIBU-KEY Server Overview

Overview

The WIBU-KEY network server enables the access to WIBU-BOXes via network. This allows copy protection of an application as well as limitation of the number of users that can access the application at the same time. A WIBU-KEY network server can run on any computer in the network, it is not necessary to run it on a dedicated network server system.

WIBU-KEY provides two network subsystems: WkNet and WkLAN.

WkLAN is protocol (TCP/IP) based, i.e. data is transferred synchronously between the workstations and the server. The current implementation runs on MacOS (8, 9, X), all Windows versions and all supported Linux Distributions with a properly configured TCP/IP subsystem.

WkNet uses a shared file for communication.

Following WIBU-KEY network servers are available:
  • A 32 bit Windows application for Windows 95/98/ME and Windows NT/2000/XP/Server 2003, called WkSvW32. This application can also run as service on Windows NT/2000/XP/Server 2003.
  • WkSvNW, an NLM for Novell Netware servers (version 3.11, 3.12 and 4.01).
  • WkSvMac, an application for Mac OS 8/9.
  • WkSvMacX, an application for Mac OS X.
  • WkSvLin, an application for all supported Linux distributions.


WIBU-KEY Server WkSvW32 for Win32

WkSvW32 for Win32

WkSvW32, the server process for Win32 can be started in two different modes:
  • As application (default).
  • As service that's started automatically in the background when the system is started.
On Windows 95/98/Me it is only possible to start the server process in application mode.

After startup, the WIBU-KEY server icon appears in system tray.

Rightclicking the icon pops up the context menu which contains the following options:

Status | Display the server status window which contains all client requests and status messages.
Start as Service | Start the WIBU-KEY network server as service.
Stop Service | Stop the WIBU-KEY network server service.
Install/Uninstall Service | Install/unistall the WIBU-KEY network server service.
Logging | Log server status messages to %program files%\wibukey\server\wkserver.log.
Help | Open this help system.
About | Display information window.
Exit | Exit the WIBU-KEY network server application.

The service can also be controlled from the Services control panel applet or from command line:

net start wksvw32 starts the service and

net stop wksvw32 stops the service.
A detailed description of the settings can be found in the Configuration Options section.


WIBU-KEY Server WkSvNW for Novell

WkSvNW for Novell Netware

WKSVNW.NLM has to be copied into the Netware server's SYSTEM directory and can be started using the following command line:

LOAD WKSVNW.NLM WibuKeyIniFile [/L:Logfile] [/V3]

The server process configuration is read from the WIBUKEY.INI file. This file is a text file and uses the syntax of Windows INI files. A detailed description of the possible settings can be found in the Configuration Options section. It is necessary to specify the complete path to the WkNet server file in WIBUKEY.INI. WKSVNW.NLM also uses environment settings in the [DRIVER] section of WIBUKEY.INI.

The /V3 option enables verbose output mode. This forces the server to report more detailed status messages. If there are any problems with the server process, this option should be used to find out more about the problem. By default this options is disabled.

The /L option forces all screen output to be written to a log file.

Note: WkSvNW can not determine the port addresses to access the WIBU-KEY hardware dynamically. Instead the driver uses fixed addresses listed in the following table:
Port: | Default adress:
LPT1 | 0x3BC
LPT2 | 0x378
LPT3 | 0x278
COM1 | 0x3F8
COM1 | 0x2F8
The default settings can be overwritten by the driver settings specified in WIBUKEY.INI.


WIBU-KEY Network-Server Configuration options

Configuration options

The WIBU-KEY control panel applet provides configuration options for the WIBU-KEY network server.
WkNet Configuration
Huge License Management Configuration
Driver Configuration (WkSvNW for Novell Netware only)


WIBU-KEY Network-Server WkNet Configuration

WkNet Configuration

The best way to edit this entries is to use the ServerWkNet page of the WIBU-KEY Control panel.

For Netware Servers the following setting can be used:

[WkNet FirmCode:UserCode]

An example for Netware shows the default values used for the WIBU-KEY sample files:

[WkNet 10:13]
ServerFile=dos:\test\wknet.dat
RefreshTime=10
TimeOut=30
Selection=1234


WIBU-KEY Network-Server Huge License Management Configuration

Huge License Management Configuration

Huge License Management files are specifed at the Server page of the WIBU-KEY control panel.

Huge License Management settings are interpreted when the WIBU-KEY server starts only. If Huge License Management settings are changed, the server proces has to be restarted.


WIBU-KEY Network-Server Driver Configuration

Driver Configuration

These driver configuration of the [Driver] section in WIBUKEY.INI. options are evaluated by WkSvNW, the WIBU-KEY network server for Novell Netware.
Parameter Meaning
WkCom | defines the WIBU-KEY addresses for COM1 to COM4.
WkLpt | defines the WIBU-KEY addresses for LPT1 to LPT4.
WkPort | specifies the WIBU-KEY ports to use.


WIBU-KEY Network-Server FAQ / How do I ...

How do I ...

1) ... start WkSvW32 as service?
2) ... cancel a network client?
3) ... repair a corrupted WkNet file?
4) ... start WkSvNW for Novell Netware?
5) ... configure a WkNet/WkLAN client?
6) ... configure a WkNet/WkLAN server?

Back to beginning 1)
Please start WkSvW32 as application. Rightclick the system tray icon and select "Start as service".

Back to beginning 2)
A WkNet/WkLAN client can be canceled using WkSvMon by selecting the user and pressing the "cancel user" button.

A WkNet client can be also canceled using the /C option of the WkNetLst utility.

Back to beginning 3)
There is no way to repair a corrupted WkNet file. Please stop the server and copy the original WkNet file from the installation media to the harddisk.

Back to beginning 4)
WkSvNW must be copied to Netware's SYS:\SYSTEM folder. After that it can be started by entering

LOAD WKSVNW WibuKeyIniFileSpec

at the Novell console. For more information see the WkSvNW section.

Back to beginning 5)
WkNet client

A WkNet client must know of the location of the WkNet file to use for communication. The application name used (provided by the software vendor) and the associated WkNet server file can be set on the Network page of the WIBU-KEY control panel.
WkLAN client

The WIBU-KEY driver on the client system will browse the local network and will choose the first matching WkLAN server. A specific WkLAN server or a WkLAN server outside the local ip subnet (behind a router) ) can be specified on the Network page of the WIBU-KEY control panel.

Back to beginning 6)
WkNet server

For each distinct server WkNet process a WkNet file along with the required options must be set. The parameters and their meaning is explained in the WkNet configuration section.
WkLAN server

In most cases a WkLAN server doesn't need to be configured. The adjustable parameters are listed in the WkLAN configuration section.


WIBU-KEY Network-Server FAQ / Troubleshooting

Troubleshooting

1) WkNet/WkLAN server reports an error.
2) WkNet client can't find server.
3) WkLAN client can't find server.
4) WkSvNW won't run on Novell SFT3.
5) WkNet/WkLAN server reports: 0 users permitted

The link below leads to answers to frequently asked questions.

Current FAQs (Internet access is required)

Support

A professional support team assists all customers with WIBU-KEY matters. Please, note our support schedule. Customer support is provided from 8 am to 12 and from 1 pm to 5 pm MET at +49-721-93172-14. End user support at +49-721-93172-15. Or by email to support@wibu.com.

Seitenanfang 1)
Note: By default the server process for WkNet WkSvNW does not generate much output. If problems occur it is recommended to use the /V3 option when starting the server process. This enables the verbose mode presenting more detailed status messages.
Possible error messages
File [name] not found.
Unable to find the given WkNet file.

No access to kernel driver.
The WIBU-KEY driver files are not installed properly.

No access to service manager.
Unable to access the system service manager - the required user rights to perform the operation are probably missing.

File encryption sequence cannot be created.
The file encryption sequence that is required to access the WkNet file can't be created. Maybe the server process can't access the required WIBU-BOX entry.

WIBU-BOX entry [FC:UC] not found.
The required WIBU-BOX entry could not be found. Please check if the correct WIBU-BOX is attached to the computer.

Data for encryption of user [user] cannot be read.
It is not possible to read the information for a specific client from the WkNet file. Either the whole WkNet file is corrupted or garbage information was written to the WkNet file.

Encryption Firm Code of user [user] is 0.
The client application has transmitted an illegal Firm Code.

Global Access to [FC:UC] failed with error [error code].
The server process is unable to access the given entry in the WIBU-BOX. Maybe the WIBU-BOX has been removed or another application is already accessing this WIBU-BOX entry.

File is no valid WkNet file.
The WkNet file is corrupt.

Seitenanfang 2)
Checklist
  • Please check if the correct WkNet file is specified and the corresponding FC:UC values are specified on the Server WkNet page of the WIBU-KEY control panel.
  • Does the WkNet server report any errors (use /V3 option on Novell Netware)?
  • Is the WkNet file updated every refresh time seconds? This can be checked with WkSvMon or WkNetLst. Both programs display the last access to the WkNet file by the server.
  • Have all machines read/write access to the WkNet file?
  • On Novell Netware: Is there a limitation of concurrent users that can access the WkNet file or the volume it resides on?

Seitenanfang 3)
Checklist
  • Does the WkLAN server report any errors?
  • Does the WIBU-KEY control panel on the client find the WkLAN server?
  • Is TCP/IP protocol installed and configured properly?
  • Does a PING [IP address] command work between client and server and vice versa?
  • Does a PING [Name] command work between client and server and vice versa?
  • Is the WIBU-KEY server running on the correct port? Please check the server status output.
  • Is the WIBU-KEY server using the correct IP address? Please check the server status output. If necessary specify the IP address to use via the BindAddress option.

Seitenanfang 4)
Problem: If WkSvNW runs together with the SFT3 mirror service, no WkNet client can use the WkNet file.
Reason: SFT3 does a permanent mirroring of all server files. By this it is permanently copying the WkNet file. While the WkNet file is being copied no other application can access the file. So neither the WkNet server nor the WkNet clients can access the WkNet file.
Solution: All WIBU-KEY components (WKSVNW.NLM, WIBUKEY.INI and the WkNet file) must be located in the SYS:\SYSTEM folder of the Netware server.

Seitenanfang 5)
Checklist
  • Does the server list all WIBU-BOXes attached to the computer?
  • Does the server process have the correct FC:UC for the used WkNet file?
  • Does the server use the correct WkNet file?
  • Is the read/write access to the WkNet file enabled?


WkSvMon - The WIBU-KEY Network Monitor -Contents-

WkSvMon - The WIBU-KEY Network Monitor

Contents:
Overview
Managing WkLAN
Managing WkNet
The Menubar
The Toolbar
How do I ...
Troubleshooting


WkSvMon - The WIBU-KEY Network Monitor -Overview-

Overview

What is the WIBU-KEY Network Monitor (WkSvMon)?
WkSvMon is the main tool to administer WIBU-KEY in a network environment. The number of users currently accessing a WIBU-KEY server, the login times and access times can be checked from network stations. Users can be canceled and network server status information can be retrieved.
WIBU-KEY Network Server
The WIBU-KEY network server enables access to WIBU-BOXes via network. This allows copy protection of an application as well as a limitation of the number of users that access the application at the same time. A WIBU-KEY network server run on any computer on the network, it is not needed to run it on a dedicated network server.

WkLAN is protocol (TCP/IP) based, i.e. the data is transferred synchronously between workstations and server over a network link. The current implementation runs on Windows 95/98/Me/2000/XP/Server 2003, MacOS (8,9,X) and all supported Linux distributions.

WkNet uses a shared file for communication. Because of that it is possible to use it with any existing network protocol.

Following WIBU-KEY network servers are available:

  • A 32 bit Windows application for Windows 95/98/ME/NT/2000/XP/Server 2003, called WkSvW32 It can also run as service on Windows NT/2000/XP/Server 2003.
  • WkSvNW, a NLM for Novell Netware servers (version 3.11, 3.12 and 4.01).
  • WkSvMac(X), an application for Mac OS (8,9,X). It can also be started as a daemon on MacOS X.
  • WkSvLin, an application and daemon for all supported Linux distributions.


WIBU-KEY Network-Server The Toolbar

The Toolbar

Refresh: Refresh the server tree. Only the information about the already listed servers will be refreshed. Additional servers are not searched.
Browse Network: Browse the local network for new WkLAN servers.
WkLAN: Toggle the display of WkLAN servers.
WkNet: Toggle the display of WkNet servers.
Control Panel: Open the WIBU-KEY control panel.
Settings: Open a dialog with various configuration options.
Cancel User: Cancel a single WkNet or WkLAN user. This button is only active if one or more users are selected.
Cancel All Users: Cancels all users of the selected server. This button is only active if a server or a cluster is selected.
Statistic: Display a statistical summary WkLAN server usage (not implemented yet).
Remote Status: Display the status of the selected WkLAN server. This button is only active if a server is selected.
Help: Open this online help file.
Context Help: Start the context sensitive help mode. Clicking on a specific element with the help mouse cursor will popup a description of the clicked element (not implemented yet).


WIBU-KEY Network-Server -The Menubar-

The Menubar

Menu File

Open WkNet File....

Open a dialog to search for a WkNet file to be displayed.

Close WkNet File

Remove a WkNet file from the server tree.

Quit

Closes WkSvMon.

Menu View

Server Status

Display status control window of the selected WkLAN server. This menu item is only active if a server is selected in the tree structure.

Statistics

Display a statistical summary of the WkLAN server usage (not implemented yet).

WkLAN Server

Toggle the display of WkLAN servers.

WkNet Server

Toggle the display of WkNet servers.

Server View

The tree structure displays: Network - Server - Client.

Cluster View

The tree structure displays: Network - Cluster - Client - Server.

User View

The tree structure displays: Network - Client - Cluster - Server.

Refresh

Refresh the server tree. Only information about the already listed servers will be refreshed. No new servers are searched on the network.

Browse Network

browses the local network for new WkLAN or WkNet servers.

Menu User

Cancel User

Cancel a single WkNet or WkLAN user. This menu item is only active if selected one or more users are selected.

Cancel all User

Cancel all users of the selected server. This menu item is only active if a server or a cluster is selected.

Menu Options

General Settings

Open a dialog with various configuration options.

Menu Help

Help on WkSvMon.

Open this online help file.

About WkSvMon

Display version information.


WkSvMon - WIBU-KEY Network Monitor -Managing WkLAN-

Managing WkLAN

Searching for a WkLAN server
Displaying information about a WkLAN server
Displaying information about a WkLAN cluster
Displaying information about a WkLAN client
Displaying the server status of a WkLAN server
Displaying the kernel driver status of a WkLAN server
Canceling WkLAN users


WkSvMon -Searching for a WkLAN server-

Searching for a WkLAN server

The search for a WkLAN server is started either either by the "Browse Network" toolbar button or menu entry.

A default WkLAN server to be displayed can be specified on the "General Settings" dialog.

Note: The WIBU-KEY driver searches the network by performing a TCP/IP broadcast call. This call will only reach the computers in the local IP subnet. Computers that reside in a different network segment (behind a router) must be specified on the Network page of the WIBU-KEY control panel.


WkSvMon -Displaying information about a WkLAN server-

Displaying information about a WkLAN server

Selecting a server icon in the server tree will display server information on the right side. The server name, its IP address and the active subsystems will be displayed.

The list in the lower half displays available clusters. A cluster is an information segment that holds a Firm Code/User Code pair, the maximum number of users that may access via these parameters, the current number of free users and the subsystem type this cluster belongs to.


WkSvMon -Displaying information about a WkLAN cluster-

Displaying information about a WkLAN cluster

Selecting the cluster icon in the cluster tree displays information about the cluster on the right side. Cluster name, Firm and User Code, subsystem type, number of servers providing the cluster, maximum number of users as well as the number of slots, which are not allocated, are displayed, too.

Note: : A cluster can be divided onto various WkLAN servers. By selecting the network icon in the WIBU-KEY tree structure, all clusters within the entire network are displayed on the right window, provided the view "server view" or "cluster view" is selected.


WkSvMon -Displaying information about a WkLAN client-

Displaying information about a WkLAN client

Selecting a client icon in the WIBU-KEY server tree displays the client information on the right side. The name of the client computer along with the application name, the subsystem type, the user ID, the times of first login and last access will be displayed.

Note: WkLAN users are allocated in descending order, i.e. if there are 200 maximum users the first user will receive user ID 200, the second one 199 and so on.


WkSvMon -Displaying the server status of a WkLAN server-

Displaying the server status of a WkLAN server

WkSvMon allows to display the status messages of WkLAN servers. The status dialog is opened by the Server Status toolbar button or menu entry.


WkSvMon -Displaying the kernel driver status of a WkLAN server-

Displaying the kernel driver status of a WkLAN server

It's possible to display the status of the server machine kernel driver. The status messages to be displayed can be selected in the lower left corner of the status dialog.


WkSvMon -Canceling WkLAN users-

Canceling WkLAN users

It is possible to cancel either a single user or all users of a WkLAN server. A single user can be canceled by the toolbar Cancel User or the User menu Cancel User entry.

All users can be canceled by the corresponding buttons or menu item.

A canceled user is removed from the internal lists of the WkLAN server. The next time the the client tries to access the server it will receive an error message ("User Cancelled").


WkSvMon - Managing WkNet-

Managing WkNet

Searching for a WkNet server
Displaying information about a WkNet server
Displaying information about a WkNet client
Canceling WkNet users


WkSvMon -Searching for a WkNet server-

Searching for a WkNet server

WkNet servers are not automatically displayed by WkSvMon. The used WkNet files have to be opened via Open WkNet file in the File menu.

A default WkNet file to be opened can be specified at General Settings.


WkSvMon -Displaying information about a WkNet server-

Displaying information about a WkNet server

The information displayed about a WkNet server is similar to the display of WkLAN server information. Selecting a server icon in the server tree will display server information on the right side. The server name (in this case the WkNet file path), the active subsystem (always WkNet) and the time of the last access of the server to the WkNet file will be displayed.

The list in the lower half displays a list of available clusters. A cluster is an information segment that holds a Firm Code/User Code pair, the maximum number of users that may access via these parameters, the current number of free users and the subsystem type this cluster belongs to.

Note: Currently not many informations are stored in WkNet files. For example it's not possible to display the Firm Code/User Code pair that controls the access to this WkNet file. Firm Code and User Code values are displayed as zero values.


WkSvMon -Displaying information about a WkNet client-

Displaying information about a WkNet client

Selecting a client icon in the server tree will display user information on the right side. The client computer name, subsystem type, user ID, date of first log-in and the date of the last access to the WkNet file are displayed.

Note: WkLAN clients that access a cluster that is also enabled for WkNet are also displayed because they occupy a slot in the WkNet file. But there's no information about the WkLAN client stored in the WkNet file. So station ID, application ID and access dates are just dummy values.


WkSvMon -Cancelling WkNet users-

Canceling WkNet users

WkNet users are cancelled by the same way as WkLAN users are cancelled: A single user can be canceled by the toolbar Cancel User or the User menu Cancel User entry.

All users can be canceled by the corresponding buttons or menu item.

A canceled user will be removed from the internal lists of the WkLAN server. The next time the clients tries to access the server it will receive an error message ("User Cancelled"). This may take up to refresh time seconds - do not expect that the client application is immediately informed.


WkSvMon - WIBU-KEY Network Monitor FAQ / How Do I ...

How Do I ...

1) ... display information about a specific WkLAN server?
2) ... display information about a specific WkNet server?
3) ... check if a WkNet file is properly updated by the WkNet server?
4) ... cancel a user?
5) ... display the status messages of a WkLAN server?

Seitenanfang 1)
  • Push the Browse Network button to search for WkLAN servers.
  • Click the WkLAN server's icon in the server tree.

Seitenanfang 2)
  • Use the Open WkNet file entry in the File menu to open the requested WkNet file. The WkNet file will be displayed in the WIBU-KEY server tree as server.
  • Click the icon to display the server information on the right side.

Seitenanfang 3)
  • Use the Open WkNet file entry in the File menu to open the requested WkNet file. The WkNet file will be displayed in the server tree.
  • Click the icon to display the server information on the right side.
  • The time of the last access has to be updated every refresh time seconds. Use F5 or the refresh button to update the display until the timestamp changes. If the timestamp does not change a wrong WkNet file is displayed or the server process is not running properly.

Seitenanfang 4)
To cancel a user, see Canceling WkLAN users or Canceling WkNet users for more information.

Seitenanfang 5)
  • Push the Browse Network button to search for WkLAN servers.
  • Click the WkLAN server's icon in the tree.
  • Push the Status Msg button on the lower right of the dialog.


WkSvMon - WIBU-KEY Network Monitor FAQ / Troubleshooting

Troubleshooting

1) WkSvMon does not find my WkLAN servers
2) WkSvMon does not find my WkNet server

The link below leads to answers to frequently asked questions.

Current FAQs (Internet access is required)

Support

A professional support team assists all WIBU-SYSTEMS customers with questions about WIBU-KEY. Please note the support schedule. Customer contact WIBU-SYSTEMS Suport from 8 am to 12 and from 1 pm to 5 pm MET at +49-721-93172-14. End users use +49-721-93172-15. Or email to support@wibu.com.

Seitenanfang 1)
The WIBU-KEY driver search the network by performing a TCP/IP broadcast call. This call will only reach the computers in this network segment. Computer that reside in another network segment must be specified on the "Network" page of the WIBU-KEY Control Panel Applet.

Seitenanfang 2)
WkNet servers are not automatically found by WkSvMon. The are normal data files and they have to opened like normal data files via "Open WkNet file" in the "File" menu.


WIBU-KEY Help-Version

WIBU-KEY User help Version 5.0 of March 2005


WIBU-KEY Help

Runtime-Kit

WIBU-BOXes

W IBU-KEY Control Panel

WIBU-KEY Server

WIBU-KEY Network Monitor

FAQ

Version


WIBU-KEY Control Panel -Activation/Deactivation of the WIBU-KEY Kernel Driver-

Activation/Deactivation of the WIBU-KEY Kernel Driver
This "dialog box" appears when activating the WIBU-KEY kernel driver (WIBUKEY.VXD or WIBUKEY.SYS) on the installation page. You can choose between three possibilities how to start the kernel driver. When deactivating the kernel driver, no dialogbox appears.
The best way is to use "System startup (Automatic)", in this case the WIBU-KEY driver is loaded directly after the operating system drivers.


WIBU-KEY Control Panel - Cluster Name -

Cluster Name
The field Cluster Name defines a name for a of Firm Code/User Code combination. You can add, modify or delete cluster names, although only one cluster name is possible for a Firm Code/User Code combination.


WIBU-KEY Control Panel - HLM-Files -

HLM Files
The HLM Files area allows the specification of Huge License Management Files. You can enter a file name, or use the "…" button to browse for existing files. To test the validity of the specified files the "Test" button can be used.
Huge License Management Files are created by the software vendor. So your software vendor has to advice you to use a Hugh License Management Files (*.wbb) or not.


WIBU-KEY Control Panel -Plug&Play - Button-

Plug&Play Button
The Plug&Play button is used to reset the WIBU-BOX/U(+) - /RU(+) or WIBU-BOX/M Plug&Play settings. Before performing the Plug&Play reset all connected WIBU-BOXes have to be removed. After the reset the operating system's Plug&Play mechanism can setup attached WIBU-BOX hardware and install the required driver.


WIBU-KEY Control Panel - Report-Schaltfläche -

Report Dialog
This dialog controls which information will be written to the report file.


.topic 0x20A58
Check the selected HLM-File.

.topic 0x20A5E
Resets the Plug&Play settings for WIBU-BOX/(R)U and WIBU-BOX/M on this
computer.

.topic 0x20A4A
List of all available cluster names.

.topic 0x20A4B
Firm Code / User Code pair of the selected Cluster.

.topic 0x20A4C
Name of selected Cluster.

.topic 0x20A5C
Adds a new entry to the cluster list.

.topic 0x20A5D
Delete the selected cluster.

.topic 0x20A4E
Modify the selected cluster.

.topic 0x20A51
List of registered HLM files.

.topic 0x20A52
Name of selected HLM file.

.topic 0x20A49
Activates and deactivates the WkLAN server.

.topic 0x20A48
Timeout value for WkLAN.

.topic 0x20A53
Add a new entry to the HLM list.

.topic 0x20A54
Delete the selected HLM file entry.

.topic 0x20A55
Modify the selected HLM file entry.

.topic 0x20A56
Opens a dialog to select an existing HLM file.

.topic 0x207D0
This is the display of the contents of the selected WIBU-BOX. A WIBU-BOX can hold up
to 10 entries. The WIBU-BOX/RU or /RP has only one entry. At the bottom of the display
the serial number is printed. Right of this number the configuration flags are displayed.

.topic 0x207D4
This button selects the first WIBU-BOX.

.topic 0x207D5
This button selects the previous WIBU-BOX.

.topic 0x207D6
This button selects the next WIBU-BOX.

.topic 0x207D7
This button selects the last WIBU-BOX.

.topic 0x207DC
This button opens a search dialog for the source path for driver files.

.topic 0x207DD
This button deletes the selected WkNet file entry.

.topic 0x20834
Here the path to the driver files can be specified.

.topic 0x20835
Amount of disk space required for all installed driver files.

.topic 0x20836
Free disk space on the system drive.

.topic 0x20839
This list shows all driver files that are required for the operating system currently
running on this computer. A checked checkbox shows that this file is installed.

.topic 0x2083A
This is the counter for the test runs.

.topic 0x2083B
This button transfers a WIBU-BOX from the WIBU-BOX-List to the list of selected WIBU-BOXes.

.topic 0x2083C
This button removes the selected WIBU-BOX from the list.

.topic 0x208A6
This control shows the progress in the list of tested WIBU-BOXes.

.topic 0x208A7
This list holds the WIBU-BOXes that are selected for this process.

.topic 0x208A8
This button starts the test of the selected WIBU-BOXes.

.topic 0x208A9
This button stops the test of the selected WIBU-BOXes.

.topic 0x208AA
This button resets the error counter.

.topic 0x208AC
When this option is enabled, the new data will be appended to an existing
Remote-Programming-Context file.

.topic 0x208AD
When this option is enabled, only information about empty WIBU-BOX entries will be
stored in the Remote-Programming-Context file.

.topic 0x208FD
This list holds the diagnostic entries of the WIBU-KEY kernel driver.

.topic 0x208FF
This button rereads the list of attached WIBU-BOXes.

.topic 0x20904
This option enables the recording of diagnostic messages.

.topic 0x2092E
This button restarts the recording of the diagnostic messages.

.topic 0x2092F
This button opens a dialog to store the diagnostic message protocol.

.topic 0x20930
This button reads the diagnostic messages from internal memory of the kernel driver.

.topic 0x20961
Icon of the entry.

.topic 0x20962
This is the Firm Code/User Code pair of the selected WkNet file.

.topic 0x20963
Entry is master entry.

.topic 0x20964
Entry contains user data.

.topic 0x20965
Entry is empty.

.topic 0x2096A
Firm code: Each licensee receives his own firm code. Firm code 10 is public.

.topic 0x2096B
User code (24 Bit): free selectable in the range 0 - 16.777.215, 15.728.640 - 16.777.215 only for HLM.

.topic 0x2096C
Upper 8 bits of the data entry; Range 0 - 239, the remainder is reserved and cannot be used.

.topic 0x2096D
Lower 32 bits of the data entry; Range 0 - 1.073.741.823.

.topic 0x20992
Icon of the additional entry.

.topic 0x20994
Add limit counter to the base entry.

.topic 0x20995
Add expiration date to the base entry.

.topic 0x20996
Add data entry to the base entry.

.topic 0x20997
No additional entry to the base entry.

.topic 0x2099C
Upper 8 bits of the additional data entry; Range 0 - 239, the remainder is reserved
and cannot be used.

.topic 0x2099D
Lower 32 bits of the additional data entry; Range 0 - 1.073.741.824.

.topic 0x2099E
Programming sequence for reprogramming depends on the serial number of the WIBU-BOX.

.topic 0x2099F
Programming sequence for reprogramming depends on the programming counter of the WIBU-BOX.

.topic 0x209A0
Programming sequence for reprogramming depends on the current data content.

.topic 0x209A2
The data entry can still be used such often.

.topic 0x209A4
Number of days to the expiration date.

.topic 0x209AB
Week day of the expiration date.

.topic 0x209AC
Year of the expiration date.

.topic 0x209AD
Month of the expiration date.

.topic 0x209B0
Day of the expiration date.

.topic 0x209BA
This button cancels the last modification.

.topic 0x209BB
This button moves to the next entry.

.topic 0x209BC
This buttons moves back to the previous entry.

.topic 0x209BD
Display all numbers in hexadecimal form.

.topic 0x209C9
This button opens a dialog to modify the configuration flags of the selected WIBU-BOX.

.topic 0x20A2A
This list shows all ports that are activated for WIBU-KEY and all network WkLAN servers.
For each location all attached WIBU-BOXes are displayed.

.topic 0x20A42
This button activates or deactivates the kernel driver for Windows NT/2000/XP/Server 2003.

.topic 0x20802
This page shows the settings for addressing WIBU-BOXes.

.topic 0x20804
If this option is not marked, no WIBU-BOXes are searched for.

.topic 0x20805
Maximum of time in seconds (with resolution in milliseconds) the WIBU-KEY driver expects,
until another driver releases the required port. If this time is exceeded, the
driver stops the access and a connected WIBU-BOX is not found.

.topic 0x20A64
Using parallel ports (LPT) the search can be restricted to the bi-directional mode (BD).
Using serial ports (COM) the search can be restricted to the WIBU-BOX/SP. See more
details at special settings for the WIBU-BOX/P or special settings for the WIBU-BOX/SP.

.topic 0x20A65
Using parallel ports (LPT) the search can be restricted to the uni-directional mode (UD).
Using serial ports (COM) the search can be restricted to the WIBU-BOX/ST. See more
details at special settings for the WIBU-BOX/P or special settings for the WIBU-BOX/SP.

.topic 0x20A66
If this option is set, the WIBU-KEY driver accesses the port, when also allocated by
other devices. Errors with this device as well errors with the WIBU-BOX may occur.
But this option is important and should be set, when a faultily programmed driver,
e.g. for a printer, allocates the port permanently, and thus the WIBU-KEY driver
cannot access the WIBU-BOX.

.topic 0x20A67
If this option is set, the RTS line is permanently enabled. In order to provide the
WIBU-BOX/ST with a stable voltage, at least one of the RTS and DTR line should be
enabled. See more details at Special Settings for the WIBU-BOX/SP and ST.

.topic 0x20A68
If this option is set, the DTR line is permanently enabled. In order to provide the
WIBU-BOX/ST with a stable voltage, at least one of the RTS and DTR line should be
enabled. See more details at Special Settings for the WIBU-BOX/SP and ST.

.topic 0x20A6B
If this option is set, the WIBU-KEY driver uses the settings the system (BIOS, operating
system, etc) allocated to this port. If the option is not set, these settings can
explicitly and manually be selected in the lower part of the dialog. This is especially
necessary for the WIBU-BOX/CI and for ports, which not have been recognized by the system.

.topic 0x20A6C
Here the address of the interface can be individually specified in a hexadecimal form.
It is recommendable using the values from the list.

.topic 0x20A6D
Under Windows NT/2000/XP/Server 2003 the type of bus of the interface can be specified.
For PC it is ISA, EISA, PCI or Internal.

.topic 0x20815
This button opens a search dialog for WkNet files.

.topic 0x20A6E
Under Windows NT/2000/XP/Server 2003 the bus index of the interface can be specified. Unless the
PC uses several bus systems of the same type, value 0 has to be specified.

.topic 0x20816
This button open a search dialog for Remote Programming Context files.

.topic 0x20817
This button open a search dialog for Remote Programming Update files.

.topic 0x20A74
Path to a WkNet file.

.topic 0x20A75
Path to a Remote Programming Context file.

.topic 0x20A76
When this option is enabled, WIBU-KEY programs can access the Firm Security Box (FSB)
via the network.

.topic 0x20A77
Path to a Remote Programming Update file.

.topic 0x20A78
When this option is enabled, WIBU-BOX attached to the WkLAN server can not be programmed over
the network.

.topic 0x20A79
When this option is enabled, the Remote Programming Update file will be automatically
deleted after the programming is done.

.topic 0x20A7B
This area contains settings for the WkNet subsystem.

.topic 0x20A7C
This area contains settings for the WkLAN subsystem.

.topic 0x20A7F
This entry holds the refresh time for the WkNet file. Valid values are in the range of
10 seconds up to some hours. This value must correspond with the value implemented in
the protected application.

.topic 0x20A80
This entry holds the timeout value. The range of valid values depends on the refresh time.
The timeout must be at least 3 times and at most 249 times the refresh value.

.topic 0x20A81
This entry holds the Selection Code for the WkNet file. Because this value is also
used in the protected application, it is supplied by the software manufacturer.

.topic 0x20A82
This entry holds the address for the WkLAN port.

.topic 0x20A86
This button moves the selected WkLAN server entry one position upwards.

.topic 0x20A87
This button moves the selected WkLAN server entry one position downwards.

.topic 0x20A88
This button adds a new WkNet file entry to the list.

.topic 0x20A89
This button removes the selected WkNet file entry from the list.

.topic 0x20A8A
This button modifies the selected WkNet file entry.

.topic 0x20A8B
This button opens a search dialog for WkNet files.

.topic 0x20A8C
This entry holds the path to the WkNet file.

.topic 0x20A8D
This entry holds the application protected via this WkNet file.

.topic 0x20A8E
This list contains the correlation between applications and WkNet files.

.topic 0x20A8F
This list contains names or IP addresses that are search for WkLAN servers.
The address 255.255.255.255 specifies that the complete subnet should be searched.

.topic 0x20A90
This entry holds the selected WkLAN server.

.topic 0x20A91
This button adds a new WkLAN server entry to the list.

.topic 0x20A92
This button removes the selected WkLAN server entry from the list.

.topic 0x20A93
This button modifies the selected WkLAN server entry.

.topic 0x20A94
This button opens a search dialog for WkLAN servers.

.topic 0x20A95
This list contains the subsystems used for WIBU-KEY. Only checked subsystems are
searched for WIBU-BOXes. The search is done according the top down ordering of this list.

.topic 0x20A96
This button moves the selected Subsystem entry one position upwards.

.topic 0x20A97
This button moves the selected Subsystem entry one position downwards.

.topic 0x20A98
This button sets the port address of the WkLAN port to its default value 22347.

.topic 0x20A99
This button modifies the selected WkNet file entry.

.topic 0x20A9A
This button adds a new WkNet file entry to the list.

.topic 0x20A9B
Selects the marked server and transfers it into the search list.

.topic 0x20A9E
This list shows all WkLAN servers found in this network.

.topic 0x20A57
Activates the WkNet subsystem of the WIBU-KEY server.

.topic 0x20AB2
Displays the actually used Delay Factor.
"--" means there is no Delay Factor used by default.
The Delay Factor must be set in the registry and should only be used at the recommendation of the WIBU-Support team.

.topic 0x20AAA
This button opens a new report-selection dialog that enables you to create a new WIBU-SYSTEMS Report-file (by default wkreport.wbc).
This report-file considers some information about the WIBU-KEY driver, the user settings an the operating system settings.

.topic 0x20AC5
With that combobox you can define whether the WkLan settings should be used for the actual User or for all users.

.topic 0x20820
This list displays all WIBU-KEY clients with according rights.
By default all WIBU-KEY clients in the network have full authorization.

.topic 0x20821
The DNS-name or the IP-address with specific authorization can be defined.

.topic 0x20822
This option define if the client has the right to read the contents of the WIBU-KEY Server
via the network.

.topic 0x20824
This option defines if the client has the right to access the WIBU-KEY server and take a network license.

.topic 0x20826
This option defines if the client has the right to manage the network licenses with
the WIBU-KEY Network Monitor Tool.

.topic 0x20827
This Button adds the new authorisation to the Server Access list.

.topic 0x20828
This Buttom deletes the marked Server Access authorisation.

.topic 0x20829
This Button applys the modification of the marked authorisation entry.